﻿@model SiteGuide.Web.Models.MessageViewModel

@{
    if (ViewBag.Title == null)
        ViewBag.Title = $"{Model.Type}: {Model.Title}";
}

<div class="alert alert-@(Model.Type switch {
            MessageType.Success => "success",
            MessageType.Error   => "danger",
            MessageType.Warning => "warning",
            _=> throw new NotImplementedException()
        })" role="alert">
    <h4 class="alert-heading">@Model.Title</h4>
    <p>@Model.Text</p>
</div>